Summary:	Multi-protocol, multi-mailbox mail watcher plugin for Xfce4 panel
Summary(pl.UTF-8):	Wtyczka powiadamiania o poczcie dla panelu Xfce4
Name:		xfce4-mailwatch-plugin
Version:	1.2.0
Release:	5
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-mailwatch-plugin/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	7263114ec0f2987a3aff15afeeb45577
Patch0:		mbox-refresh-interval.patch
URL:		http://spuriousinterrupt.org/projects/xfce4-mailwatch-plugin/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	exo-devel >= 0.7.2
BuildRequires:	intltool
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.8.0
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= 4.8.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox
mail watcher.
Currently, the protocols supported are:
  * IMAP (SSL/TLS and cleartext, CRAM-MD5)
  * POP3 (SSL/TLS and cleartext, CRAM-MD5)
  * Mbox mail spool (local)
  * Maildir mail spool (local)
  * MH-Maildir mail spool (local)
  * Google Mail (GMail) mailbox (remote)

%description -l pl.UTF-8
Wtyczka Mailwatch służy do powiadamiania o nadejściu nowej poczty,
Obecnie obsługuje następujące protokoły:
  * IMAP (SSL/TLS i czysty tekst, CRAM-MD5)
  * POP3 (SSL/TLS i czysty tekst, CRAM-MD5)
  * Mbox (lokalny)
  * Maildir (lokalny)
  * MH-Maildir (lokalny)
  * Google Mail (GMail) (zdalny)

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/libmailwatch.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/xfce4/panel/plugins/mailwatch.desktop
%{_iconsdir}/hicolor/*/apps/*
%changelog
* Sat Apr 08 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-mailwatch-plugin.git;a=log;h=master

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> a0daefb
- rebuild with gnutls 3.5
- release 5 (by relup.sh)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 8bf02e0
- fix BRs

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 14a9323
- rebuild for XFCE 4.12
- release 4 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 042c4f3
- x32 rebuild
- release 3 (by relup.sh)

* Mon Aug 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3b26d83
- remove non existing locale
- rel 2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 047114e
- up to 1.2.0

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> d187ea7
- fixed format string errors
- rel 11

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fba71b9
- release 10 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 4857698
- release 9

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> 24b9c34
- rel 8
- gnutls 2.12.0 deprecated gnutls_transport_set_lowat()

* Sat Sep 24 2011 Elan Ruusamäe <glen@pld-linux.org> 3f7c2c6
- more -lgcrypt

* Sat Sep 24 2011 Elan Ruusamäe <glen@pld-linux.org> 295bfc0
- add patches from fedora

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ea48c5
- release 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 489da05
- release 6

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> bc36584
- rel 5
- port to libxfce4ui

* Thu Feb 17 2011 Zsolt Udvari <uzsolt@pld-linux.org> 315c761
- rel 4
- change url
- requires xfce >= 4.8.0
- fix configure

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> d2b2b0b
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 8a6b3a8
- rel 2
- dirs cleanup

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> ab1de40
- initial revision

